.. AUTO-GENERATED FILE. DO NOT EDIT. /fuel-pump-inventories-expense-categories-post-one ================================================== Summary ------- - **Source repository:** ``jef-systems/jef-fuel-pump-inventories-backend`` - **Source SHA:** ``06a517c1413d99627ecd462c7e29779b2dfd2412`` - **Source run id:** ``25888945233`` - **Lambda function:** ``jef-fuel-pump-inventories-expense-categories-post-one`` - **HTTP method:** ``POST`` - **API path:** ``/fuel-pump-inventories-expense-categories-post-one`` - **Endpoint URL:** ``https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-post-one`` - **Payload mode:** ``json-body`` Description ----------- - ``Function``: jef-fuel-pump-inventories-expense-categories-post-one - ``Module``: jef-fuel-pump-inventories - ``Action``: post-one - ``Method``: POST - ``Invocation Mode``: ASYNC - ``Resource Path``: /fuel-pump-inventories-expense-categories-post-one - ``Table``: jef-fuel-pump-inventories-expense-categories - ``Primary Key``: expense\_category\_id API Gateway Response -------------------- - ``status\_code``: 202 - ``message``: Request accepted for asynchronous processing. Payload Example --------------- - ``expense\_category\_id``: 2a26f7b6-cb34-4b30-9000-a60105c333b8 - ``category\_number``: value\_001 - ``category\_name``: Value 001 - ``category\_type``: fuel - ``display\_order``: 1 - ``is\_active``: True - ``created\_at``: 2026-05-14T22:13:56Z - ``updated\_at``: 2026-05-14T22:13:56Z Payload Schema -------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.expense_category_id.type": "S", "root.attributes.expense_category_id.required": "True", "root.attributes.expense_category_id.format": "uuidv4", "root.attributes.expense_category_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.category_number.type": "S", "root.attributes.category_number.required": "True", "root.attributes.category_number.regex": "^[A-Za-z0-9_-]{1,64}$", "root.attributes.category_name.type": "S", "root.attributes.category_name.required": "True", "root.attributes.category_name.regex": "^[A-Za-z0-9 ._-]{1,100}$", "root.attributes.category_type.type": "S", "root.attributes.category_type.required": "True", "root.attributes.category_type.regex": "^(fuel|maintenance|utilities|salary|miscellaneous)$", "root.attributes.display_order.type": "N", "root.attributes.display_order.required": "True", "root.attributes.display_order.regex": "^\\d+$", "root.attributes.is_active.type": "BOOL", "root.attributes.is_active.required": "True", "root.attributes.is_active.regex": "^(true|false)$", "root.attributes.created_at.type": "S", "root.attributes.created_at.required": "True", "root.attributes.created_at.format": "iso8601", "root.attributes.created_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.updated_at.type": "S", "root.attributes.updated_at.required": "True", "root.attributes.updated_at.format": "iso8601", "root.attributes.updated_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$" } Response Schema --------------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } Request Payload --------------- .. code-block:: json { "expense_category_id": "2a26f7b6-cb34-4b30-9000-a60105c333b8", "category_number": "value_001", "category_name": "Value 001", "category_type": "fuel", "display_order": "1", "is_active": "True", "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z" } Response -------- .. code-block:: json { "root.type": "M", "root.required": "True", "root.attributes.is_accepted.type": "BOOL", "root.attributes.is_accepted.required": "True", "root.attributes.message.type": "S", "root.attributes.message.required": "True", "root.attributes.request_id.type": "S", "root.attributes.request_id.required": "False" } CMD curl -------- .. code-block:: bat curl -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-post-one" -H "Content-Type: application/json" --data-raw "{\"expense_category_id\": \"2a26f7b6-cb34-4b30-9000-a60105c333b8\", \"category_number\": \"value_001\", \"category_name\": \"Value 001\", \"category_type\": \"fuel\", \"display_order\": 1, \"is_active\": true, \"created_at\": \"2026-05-14T22:13:56Z\", \"updated_at\": \"2026-05-14T22:13:56Z\"}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X POST "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-expense-categories-post-one" -H "Content-Type: application/json" --data-raw '{"expense_category_id": "2a26f7b6-cb34-4b30-9000-a60105c333b8", "category_number": "value_001", "category_name": "Value 001", "category_type": "fuel", "display_order": 1, "is_active": true, "created_at": "2026-05-14T22:13:56Z", "updated_at": "2026-05-14T22:13:56Z"}'